/*
File Name: GeneralPurposeFunctions.h
Created By: Andy Odle
Date: Sep 18, 2009
*/

#ifndef General_Purpose_Functions
#define General_Purpose_Functions

// Needed includes.
#include <sstream>
#include <stdlib.h>

using namespace std;

#include "./source/inc/MathGOC.h"

/* -----Functions----- */

// Function created by radu http://radu.wordpress.com/ (Axcessed September 17th, 2009)
// 
// Input:
//         Anything that will convert to a string.
// 
// Output:
//         Input converted to a sting.
template <class T> 
inline string tostring(const T& convertToString_p)
{
    stringstream tempString_l;
    
    if(convertToString_p)
    {        
        tempString_l << convertToString_p;
        return tempString_l.str();
    }
    
    return tempString_l.str();
}

void *operator new(size_t size_p);
void operator delete(void *whatToDelete_p);

#endif
